package cn.sikey.websocket.convert;

import cn.sikey.websocket.controller.app.message.vo.SaveMessageRecvReqVO;
import cn.sikey.websocket.controller.app.message.vo.SaveMessageSendReqVO;
import cn.sikey.websocket.dal.dataobject.MessageRecvDO;
import cn.sikey.websocket.dal.dataobject.MessageSendDO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

/**
 * @Author: nelson
 * @Date: 2025/7/1
 * @Description: 消息
 */
@Mapper
public interface MessageConvert {
    MessageConvert INSTANCE = Mappers.getMapper(MessageConvert.class);

    MessageSendDO convertMessageSendDO(SaveMessageSendReqVO saveMessageSendReqVO);

    MessageRecvDO convertMessageRecvDO(SaveMessageRecvReqVO saveMessageRecvReqVO);

    SaveMessageSendReqVO convertSaveMessageSendReqVO(MessageSendDO  messageSendDO);
}
